%define upstream_name Image_Transform
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.9.5
Release:     	%mkrel 8
Summary:    	Provides a standard interface to manipulate images using different libraries
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Image_Transform-%{version}.tgz
URL: 		http://pear.php.net/package/Image_Transform
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
This package was written to provide a simpler and cross-library interface
to doing image transformations and manipulations.
It provides :

* support for GD, ImageMagick, Imagick and NetPBM
* files related functions
* addText
* Scale (by length, percentage, maximum X/Y)
* Resize
* Rotate (custom angle)
* Crop
* Mirror (Most drivers)
* Flip (Most drivers)
* Add border (soon)
* Add shadow (soon)

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Image_Transform.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Image_Transform.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Image_Transform
fi

%files
%{peardir}/*
%{xmldir}/Image_Transform.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.9.5-8.mga8
+ Revision: 1499066
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.9.5-7.mga7
+ Revision: 1273304
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.9.5-6.mga6
+ Revision: 938322
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.5-5.mga5
+ Revision: 749757
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.9.5-4.mga5
+ Revision: 734054
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.5-3.mga5
+ Revision: 687319
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.5-2.mga4
+ Revision: 528060
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.9.5-1.mga4
+ Revision: 443385
- upgrade to version 0.9.5
- remove unneeded patch Image_Transform_IMAGETYPE_fix.diff

* Sun Jan 13 2013 umeabot <umeabot> 0.9.4-2.mga3
+ Revision: 376786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 spuhler <spuhler> 0.9.4-1.mga2
+ Revision: 219572
- upgrade to 0.9.4
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 0.9.1-6.mga1
+ Revision: 47497
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Image_Transform


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-6mdv2011.0
+ Revision: 613696
- the mass rebuild of 2010.1 packages

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-5mdv2010.1
+ Revision: 473550
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.9.1-4mdv2010.0
+ Revision: 441218
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-3mdv2009.1
+ Revision: 322257
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-2mdv2009.0
+ Revision: 236903
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdv2008.0
+ Revision: 15770
- rediffed P0
- 0.9.1


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-2mdv2007.1
+ Revision: 140441
- also add the patch
- fix deps

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-1mdv2007.1
+ Revision: 81984
- Import php-pear-Image_Transform

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-1mdk
- 0.9.0
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-1mdk
- initial Mandriva package (PLD import)

